## Name

umount.cifs — for normal, non-root users, to unmount their own Common Internet File System (CIFS) mounts

## Synopsis

`umount.cifs` {mount-point} [-nVvhfle]

## DESCRIPTION

This tool is part of the samba(7) suite.

umount.cifs unmounts a Linux CIFS filesystem. It can be invoked indirectly by the umount(8) command when umount.cifs is in /sbin directory, unless you specify the "-i" option to umount. Specifying -i to umount avoids execution of umount helpers such as umount.cifs. The umount.cifs command only works in Linux, and the kernel must support the cifs filesystem. The CIFS protocol is the successor to the SMB protocol and is supported by most Windows servers and many other commercial servers and Network Attached Storage appliances as well as by the popular Open Source server Samba.

The umount.cifs utility detaches the local directory mount-point from the corresponding UNC name (exported network resource) and frees the associated kernel resources. It is possible to set the mode for umount.cifs to setuid root (or equivalently update the /etc/permissions file) to allow non-root users to umount shares to directories for which they have write permission. The umount.cifs utility is typically not needed if unmounts need only be performed by root users, or if user mounts and unmounts can rely on specifying explicit entries in /etc/fstab See

fstab(5)

## OPTIONS

--verbose

  print additional debugging information

--no-mtab

  Do not update the mtab even if unmount completes successfully (/proc/mounts will still display the correct information)

## NOTES

This command is normally intended to be installed setuid (since root users can already run unmount). An alternative to using umount.cifs is to add specfic entries for the user mounts that you wish a particular user or users to mount and unmount to /etc/fstab

## CONFIGURATION

The primary mechanism for making configuration changes and for reading debug information for the cifs vfs is via the Linux /proc filesystem. In the directory `/proc/fs/cifs` are various configuration files and pseudo files which can display debug information. For more information see the kernel file `fs/cifs/README`.

## BUGS

At this time umount.cifs does not lock the mount table using the same lock as the umount utility does, so do not attempt to do multiple unmounts from different processes (and in particular unmounts of a cifs mount and another type of filesystem mount at the same time).

If the same mount point is mounted multiple times by cifs, umount.cifs will remove all of the matching entries from the mount table (although umount.cifs will actually only unmount the last one), rather than only removing the last matching entry in /etc/mtab. The pseudofile /proc/mounts will display correct information though, and the lack of an entry in /etc/mtab does not prevent subsequent unmounts.

Note that the typical response to a bug report is a suggestion to try the latest version first. So please try doing that first, and always include which versions you use of relevant software when reporting bugs (minimum: umount.cifs (try umount.cifs -V), kernel (see /proc/version) and server type you are trying to contact.

## VERSION

This man page is correct for version 1.34 of the cifs vfs filesystem (roughly Linux kernel 2.6.12).

## SEE ALSO

Documentation/filesystems/cifs.txt and fs/cifs/README in the linux kernel source tree may contain additional options and information.

mount.cifs(8)

## AUTHOR

Steve French

The syntax was loosely based on the umount utility and the manpage was loosely based on that of mount.cifs.8. The man page was created by Steve French

The maintainer of the Linux cifs vfs and the userspace tool umount.cifs is Steve French. The Linux CIFS Mailing list is the preferred place to ask questions regarding these programs.